Bug 728190 - man pages contain suspicious version string
Summary: man pages contain suspicious version string
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreport
Version: 6.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Nikola Pajkovsky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 748554
TreeView+ depends on / blocked
 
Reported: 2011-08-04 10:36 UTC by Michal Nowak
Modified: 2014-02-02 22:15 UTC (History)
11 users (show)

Fixed In Version: libreport-2.0.5-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 12:19:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1598 normal SHIPPED_LIVE abrt and libreport bug fix and enhancement update 2011-12-06 00:51:16 UTC

Description Michal Nowak 2011-08-04 10:36:51 UTC
Description of problem:

reporter-upload(1) contains suspicious version string: abrt 2.0.4.32.g92a1

Version-Release number of selected component (if applicable):

libreport-plugin-reportuploader-2.0.5-3.el6.x86_64
  
Actual results:

abrt 2.0.4.32.g92a1

Expected results:

libreport* 2.0.5

Comment 2 Michal Nowak 2011-08-04 11:02:55 UTC
And others:

abrt 2.0.5                        07/28/2011                     REPORT-CLI(1)
abrt 2.0.4.32.g92a1               07/18/2011               REPORTER-BUZILLA(1)
abrt 2.0.4.32.g92a1               07/18/2011            REPORTER-KERNELOOPS(1)
abrt 2.0.4.32.g92a1               07/18/2011                 REPORTER-MAILX(1)
abrt 2.0.4.32.g92a1               07/18/2011                 REPORTER-PRINT(1)
abrt 2.0.4.32.g92a1               07/18/2011                REPORTER-UPLOAD(1)

Those from btparser & abrt don't have it at all and the date looks suspicious to me too:

                                  24 May 2010                      btparser(1)
                                  28 May 2009                     abrt.conf(5)
                                  28 May 2009                     abrt.conf(5)
                                  28 May 2009                          abrt(8)
                                  28 May 2009                         abrtd(8)

Used: 

for page in $(rpmquery -al "*abrt" "*libreport*" btparser | grep man/ | sort); do man $page | tail -n1; done

Comment 3 Nikola Pajkovsky 2011-08-04 13:13:24 UTC
(In reply to comment #2)
> And others:
> 
> abrt 2.0.5                        07/28/2011                     REPORT-CLI(1)
> abrt 2.0.4.32.g92a1               07/18/2011               REPORTER-BUZILLA(1)
> abrt 2.0.4.32.g92a1               07/18/2011            REPORTER-KERNELOOPS(1)
> abrt 2.0.4.32.g92a1               07/18/2011                 REPORTER-MAILX(1)
> abrt 2.0.4.32.g92a1               07/18/2011                 REPORTER-PRINT(1)
> abrt 2.0.4.32.g92a1               07/18/2011                REPORTER-UPLOAD(1)

commit for libreport
commit cad632aa16e970a0340ab24c87adfad831b2f52b
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Thu Aug 4 15:04:21 2011 +0200

    do not include generated man pages
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>

commit for abrt
commit 7ed6816b2b5ba935fb6c4737297356641d600786
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Thu Aug 4 15:11:24 2011 +0200

    do not include generated man pages
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>



> Those from btparser & abrt don't have it at all and the date looks suspicious
> to me too:
> 
>                                   24 May 2010                      btparser(1)

Karel, do you have up to date your man?

>                                   28 May 2009                     abrt.conf(5)
>                                   28 May 2009                     abrt.conf(5)
>                                   28 May 2009                          abrt(8)
>                                   28 May 2009                         abrtd(8)

those are not rewritten or up to date

> Used: 
> 
> for page in $(rpmquery -al "*abrt" "*libreport*" btparser | grep man/ | sort);
> do man $page | tail -n1; done

Comment 4 Karel Klíč 2011-08-04 14:32:04 UTC
Btparser's man page is up to date.

Comment 9 Nikola Pajkovsky 2011-10-18 14:53:52 UTC
commit 237e516fc738e40bc51a2088e1c7e3df983ed243
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Tue Oct 18 16:49:17 2011 +0200

    rhbz#728190 - man pages contain suspicious version string
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>
    (cherry picked from commit f261edf4b07aad8f175f8cc5cb755053994c2bba)

Comment 14 errata-xmlrpc 2011-12-06 12:19:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1598.html


Note You need to log in before you can comment on or make changes to this bug.